if (fcf.isServer())
  var libCryptoJS = require("crypto-js");

fcf.module({
  name: "fcf:NSystem/authorizationHandler.js",
  dependencies: [],
  module: function(){
    var Namespace = fcf.prepareObject(fcf, "NAuthorization");

    class AuthorizationHandler {
      constructor(){
      }

      initialize(){
      }

      getDBPassword(a_pass){
        a_pass += "789" + a_pass + "789";
        return libCryptoJS.MD5(
                libCryptoJS.MD5(
                  libCryptoJS.MD5(
                    libCryptoJS.MD5(
                      libCryptoJS.MD5(a_pass).toString()
                      ).toString()
                    ).toString()
                  ).toString()
                ).toString();
      }
    };

    Namespace.authorizationHandler = new AuthorizationHandler();

    return Namespace.authorizationHandler;
  }
});
